# Gimp.palettes_get_list

    function palettes_get_list(filter: String): Array(Gimp.Palette) {
        // Gjs wrapper for gimp_palettes_get_list()
    }

Retrieves a list of all of the available palettes

This procedure returns a complete listing of available palettes. Each palette returned can be used as input to [func@Gimp.context_set_palette].

filter

  An optional regular expression used to filter the list.

Returns

  The list of palettes. The returned value must be freed with g_free().